Package: org.grails.compiler.injection

## [Java] Class ApiDelegateTransformation

- org.grails.compiler.injection.ApiDelegateTransformation

- All Implemented Interfaces and Traits:
    org.codehaus.groovy.transform.ASTTransformation

      @org.codehaus.groovy.transform.GroovyASTTransformation(phase = CompilePhase.CANONICALIZATION)
      public class ApiDelegateTransformation
      extends java.lang.Object
      implements org.codehaus.groovy.transform.ASTTransformation

  The logic for the ApiDelegate location transform.

  Authors:
    Graeme Rocher
  Since:
    2.0

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected boolean` | `isNoNullCheck()`
    `` | `protected boolean` | `isUseCompileStatic()`
    `` | `protected java.util.Map<java.lang.String, org.codehaus.groovy.ast.ClassNode>` | `resolveGenericsPlaceHolders(org.codehaus.groovy.ast.ClassNode classNode)`
    `` | `public void` | `visit(org.codehaus.groovy.ast.ASTNode[] nodes, org.codehaus.groovy.control.SourceUnit source)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Method Detail

    - #### protected boolean isNoNullCheck()

    - #### protected boolean isUseCompileStatic()

    - #### protected java.util.Map<java.lang.String, org.codehaus.groovy.ast.ClassNode> resolveGenericsPlaceHolders(org.codehaus.groovy.ast.ClassNode classNode)

    - #### public void visit(org.codehaus.groovy.ast.ASTNode[] nodes, org.codehaus.groovy.control.SourceUnit source)